Communities (Admin)
Create community (Admin)
POST
/manage/communitiesCreate a community. The creator is automatically added as an ADMIN member. No additional permission is required beyond being signed in.
| Auth | Login required |
|---|
Request body
namestringrequiredCommunity name (required); up to 50 characters.
joinTypestringrequiredOne of APPROVAL_REQUIRED / FREE_JOIN / INVITATION_ONLY.
visibilitystringoptionalOne of PUBLIC / PRIVATE / LIMITED.
descriptionstringoptionalDescription; up to 500 characters.
Localized name / description.
logoUrlstringoptionalLogo image URL; must be a valid URL.
Contact information.
tagsstring[]optionalArray of tag names.
slugstringoptional3–200 characters; lowercase alphanumerics, hyphens and underscores only (^[a-z0-9-_]+$). Must be unique.
Response
Returns Community.
Request
curl https://api.4s.link/manage/communities \-X POST \-H "Authorization: Bearer 4s_at_..." \-H "Content-Type: application/json" \-d '{"name": "Tech Community","joinType": "FREE_JOIN","visibility": "PUBLIC"}'
Example response
{"id": "c1a2b3c4-...","slug": "tech-community","name": "Tech Community","description": "...","joinType": "FREE_JOIN","visibility": "PUBLIC","logoUrl": "https://.../logo.png","logoDarkUrl": null,"enabledChat": true,"tags": []}